Package org.apache.sysds.runtime.controlprogram.federated.monitoring.models

# Class WorkerModel

java.lang.Object
org.apache.sysds.runtime.controlprogram.federated.monitoring.models.BaseModel
org.apache.sysds.runtime.controlprogram.federated.monitoring.models.WorkerModel

All Implemented Interfaces:
  `Serializable`

public class WorkerModel extends BaseModel

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`address`
`String`
`name`

### Fields inherited from class org.apache.sysds.runtime.controlprogram.federated.monitoring.models.BaseModel

`id`

## Constructor Summary

Constructors
Constructor
Description
`WorkerModel()`
`WorkerModel(Long id)`
`WorkerModel(Long id, String name, String address)`

## Method Summary

Modifier and Type
Method
Description
`void`
`setOnlineStatus(boolean status)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### name

public String name

### address

public String address

## Constructor Details

### WorkerModel

public WorkerModel(Long id)

### WorkerModel

public WorkerModel()

### WorkerModel

public WorkerModel(Long id, String name, String address)

## Method Details

### setOnlineStatus

public void setOnlineStatus(boolean status)

### toString

public String toString()

Overrides:
  `toString` in class `Object`